# Interface DialogCallback

public interface DialogCallback
This callback interface is used to inform application code that a dialog was closed.

Since:
  2.0
See Also:
  - `Dialog.open(DialogCallback)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dialogClosed(int returnCode)`
This method is called after a dialog was closed.

## Method Details

### dialogClosed

void dialogClosed(int returnCode)
This method is called after a dialog was closed. The meaning of the `returnCode` is defined by the respective `Dialog` implementation but usually indicates how the dialog was left. For example, pressing the 'OK' button would lead to the `returnCode` `SWT.OK`.

Parameters:
  `returnCode` - `SWT.CANCEL` if the dialog was closed with the shells' close button, a dialog-specific return code otherwise.
See Also:
  - `SWT`
  - `Dialog`
  - `Dialog#open(DialogCallback)`